Summary:	Sphinx extension for creating panels in a grid layout
Summary(pl.UTF-8):	Rozszerzenie Sphinksa do tworzenia paneli w układzie siatkowym
Name:		python3-sphinx_panels
Version:	0.6.0
Release:	4
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/sphinx-panels/
Source0:	https://files.pythonhosted.org/packages/source/s/sphinx-panels/sphinx-panels-%{version}.tar.gz
# Source0-md5:	f2e926a14ad27d66d59fc329339d496e
Patch0:		sphinx_panels-deprecated.patch
URL:		https://pypi.org/project/sphinx-panels/
BuildRequires:	python3-modules >= 1:3.2
BuildRequires:	python3-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-modules >= 1:3.2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sphinx extension for creating document components optimised for
HTML+CSS.

%description -l pl.UTF-8
Rozszerzenie Sphinksa do tworzenia komponentów dokumentów
zoptymalizowanych pod kątem HTML+CSS.

%prep
%setup -q -n sphinx-panels-%{version}
%patch -P 0 -p1

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.md LICENSE README.md
%{py3_sitescriptdir}/sphinx_panels
%{py3_sitescriptdir}/sphinx_panels-%{version}-py*.egg-info
%changelog
* Tue Mar 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-sphinx_panels.git;a=log;h=master

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 1e9b982
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 1de0f6c
- python 3.13 rebuild

* Sun Mar 09 2025 Jan Rękorajski <baggins@pld-linux.org> 1e5e5e3
- use patch -P

* Sat Jan 07 2023 Jakub Bogusz <qboosh@pld-linux.org> 53531ac
- added deprecated patch (fix DeprecationWarnings in docutils usage); release 2

* Wed Jan 04 2023 Jakub Bogusz <qboosh@pld-linux.org> 764a262
- new

